# rpm does not currently pull debuginfo out of mono packages
%global debug_package %{nil}  

Summary:        MonoDevelop vala Addin
Name:           monodevelop-vala
Version:        2.8.1
Release:        1%{?dist}
License:        GPLv2+
Group:          Development/Tools
Source:         http://download.mono-project.com/sources/%{name}/%{name}-%{version}.tar.bz2
# http://bugzilla.xamarin.com/show_bug.cgi?id=1519
Source1:        https://raw.github.com/mono/monodevelop/master/extras/ValaBinding/MonoDevelop.ValaBinding.dll.config
URL:            http://www.monodevelop.com
Patch0:         md-vala-2.8.1-libdir.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)  
BuildRequires:  mono-devel >= 2.6 monodevelop-devel >= 2.4 mono-addins-devel >= 0.5
BuildRequires:  gtk-sharp2-devel gnome-desktop-sharp-devel vala-devel
Requires:       monodevelop >= 2.6 vala
ExclusiveArch:  %{mono_arches}

%description
Vala Addin for MonoDevelop. 

%prep
%setup -q
%patch0 -p1 -b .libdir
cp %{SOURCE1} .

%build
./configure --prefix=%{_prefix} --bindir=%{_bindir} --datadir=%{_datadir} --libdir=%{_libdir}
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README AUTHORS ChangeLog
%{_libdir}/monodevelop/AddIns/BackendBindings/MonoDevelop.ValaBinding.dll
%{_libdir}/monodevelop/AddIns/BackendBindings/MonoDevelop.ValaBinding.dll.config

%changelog
* Sun Oct 16 2011 Christian Krause <chkr@fedoraproject.org> - 2.8.1-1
- Update to 2.8.1
- Fix Requires: and BR:
- Add file missing in upstream tarball (see
  http://bugzilla.xamarin.com/show_bug.cgi?id=1519 )

* Sun Oct 16 2011 Dan Horák <dan[at]danny.cz> - 2.6-2
- updated the supported arch list

* Sun Sep 25 2011 Christian Krause <chkr@fedoraproject.org> - 2.6-1
- Update to 2.6

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jun 19 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-1
- Bump to 2.4 release version
- Alter BR and R for 2.4

* Sat Feb 13 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-4
- lib64 fix

* Sun Jan 24 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-3
- URL fix, corrected licence

* Fri Jan 22 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-2
- Removed devel package
- Added BR gtk-sharp2-devel
- Added docs

* Sun Jan 03 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-1
- Initial import
